OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_SweptAreaSolid Class Reference

`#include <StepShape_SweptAreaSolid.hxx>`

Inheritance diagram for StepShape_SweptAreaSolid:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_SweptAreaSolid ()
| Returns a SweptAreaSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CurveBoundedSurface)&aSweptArea)
Standard_EXPORT void | SetSweptArea (const Handle(StepGeom_CurveBoundedSurface)&aSweptArea)
Standard_EXPORT Handle_StepGeom_CurveBoundedSurface | SweptArea () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_CurveBoundedSurface | sweptArea

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SweptAreaSolid::StepShape_SweptAreaSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_SweptAreaSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SolidModel. Reimplemented in StepShape_ExtrudedAreaSolid, and StepShape_RevolvedAreaSolid.

virtual Standard_EXPORT void StepShape_SweptAreaSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CurveBoundedSurface)& | aSweptArea
| ) | `[virtual]`

| Reimplemented in StepShape_ExtrudedAreaSolid, and StepShape_RevolvedAreaSolid.

virtual Standard_EXPORT void StepShape_SweptAreaSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_SweptAreaSolid::SetSweptArea | ( | const Handle(StepGeom_CurveBoundedSurface)& | aSweptArea | ) |

Standard_EXPORT Handle_StepGeom_CurveBoundedSurface StepShape_SweptAreaSolid::SweptArea | ( |  | ) | const

## Field Documentation

Handle_StepGeom_CurveBoundedSurface StepShape_SweptAreaSolid::sweptArea`[private]`

The documentation for this class was generated from the following file:

- StepShape_SweptAreaSolid.hxx